
disableSerialization;

createDialog "Simon_Says";

waitUntil {!isNull (findDisplay 750)};

(findDisplay 750) setVariable ["code","
	private _attempt = (findDisplay 750) getVariable ['randi_answer_final_count',0];
	
	private _temp2 = (str (_this select 0)) select [9,16];
	
	private _color = call {
		_temp = parseNumber _temp2;
		if (_temp isEqualto 703) exitWith {""green""};
		if (_temp isEqualto 704) exitWith {""red""};
		if (_temp isEqualto 705) exitWith {""blue""};
		""yellow"";
	};
	
	if (_color isEqualto (((findDisplay 750) getVariable ['randi',[]]) select _attempt)) then {
		if (_attempt isEqualto ((count ((findDisplay 750) getVariable ['randi',[]])) - 1)) exitWith {
			((findDisplay 750) displayCtrl 702) ctrlSetStructuredText parseText ""<t size='1.5' font='PuristaBold' color='#01DF01' align='center'>Richtig!</t>"";
			(findDisplay 750) setVariable ['randi_answer_final',true];
		};
		
		(findDisplay 750) setVariable ['randi_answer_final_count',((findDisplay 750) getVariable ['randi_answer_final_count',0]) + 1];
	} else {
		for '_i' from 703 to 706 do {
			((findDisplay 750) displayCtrl _i) ctrlShow false;
		};
		(findDisplay 750) setVariable ['randi_answer_final',false];
	};
"];

private _start = "
((findDisplay 750) displayCtrl 710) ctrlShow false;
0 spawn {
	(findDisplay 750) setVariable ['randi',[]];
	for ""_i"" from 0 to 1 step 0 do {
		(findDisplay 750) setVariable ['randi',((findDisplay 750) getVariable ['randi',[]]) + [(selectRandom ['blue','green','red','yellow'])]];
		(findDisplay 750) setVariable ['randi_runde',count ((findDisplay 750) getVariable ['randi',[]])];
		((findDisplay 750) displayCtrl 702) ctrlSetStructuredText parseText format[""<t size='1.5' font='PuristaBold' align='center'>%1</t>"",count ((findDisplay 750) getVariable ['randi',[]])];
		uiSleep 0.5;
		{
			if (isNull (findDisplay 750)) exitWith {};
			uiSleep 1;
			if (isNull (findDisplay 750)) exitWith {};
			((findDisplay 750) displayCtrl 701) ctrlsetText (""textures\simon_says\ss_"" + _x + "".paa"");
			uiSleep 0.75;
			((findDisplay 750) displayCtrl 701) ctrlsetText (""textures\simon_says\ss_base.paa"");
		} forEach ((findDisplay 750) getVariable ['randi',[]]);
		
		if (isNull (findDisplay 750)) exitWith {};
		
		for ""_i"" from 703 to 706 do {
			((findDisplay 750) displayCtrl _i) ctrlShow true;
			((findDisplay 750) displayCtrl _i) ctrlRemoveAllEventHandlers ""ButtonClick"";
			((findDisplay 750) displayCtrl _i) ctrlSetEventHandler [""ButtonClick"",((findDisplay 750) getVariable ['code',''])];
		};
		((findDisplay 750) displayCtrl 702) ctrlSetStructuredText parseText ""<t size='1' font='PuristaBold' align='center'>Jetzt bist du dran!</t>"";
		waitUntil {isNull (findDisplay 750) || !isNil {((findDisplay 750) getVariable ['randi_answer_final',nil])}};
		if (isNull (findDisplay 750)) exitWith {};
		for ""_i"" from 703 to 706 do {
			((findDisplay 750) displayCtrl _i) ctrlShow false;
		};
		if !((findDisplay 750) getVariable ['randi_answer_final',false]) exitWith {
			((findDisplay 750) displayCtrl 702) ctrlSetStructuredText parseText ""<t size='1.5' font='PuristaBold' color='#DF0101' align='center'>FALSCH</t>"";
			uiSleep 2;
			((findDisplay 750) displayCtrl 702) ctrlSetStructuredText parseText ""<t size='2' font='Caveat' color='#01DF01' align='center'>Starten</t>"";
			((findDisplay 750) displayCtrl 710) ctrlShow true;
			ctrlSetFocus ((findDisplay 750) displayCtrl 710);
			(findDisplay 750) setVariable ['randi_answer_final',nil];
			(findDisplay 750) setVariable ['randi_answer_final_count',nil];
		};
		(findDisplay 750) setVariable ['randi_answer_final',nil];
		(findDisplay 750) setVariable ['randi_answer_final_count',nil];
		uiSleep 1;
	};
};
";

for "_i" from 703 to 706 do {
	((findDisplay 750) displayCtrl _i) ctrlShow false;
};

((findDisplay 750) displayCtrl 702) ctrlSetStructuredText parseText "<t size='2' font='Caveat' color='#01DF01' align='center'>Starten</t>";
((findDisplay 750) displayCtrl 710) ctrlSetEventHandler ["ButtonClick",_start];

ctrlSetFocus ((findDisplay 750) displayCtrl 710);
